﻿Imports System.IO

Public Class FrmDadaPoem
    Dim MyRandom As Random


    Private Sub FrmDadaPoem_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MyRandom = New Random
    End Sub

    Private Sub btnGenerate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGenerate.Click
        Dim MyStreamReader As StreamReader
        Dim Contents As String
        Dim Word As String()
        Dim i As Integer
        Dim j As Integer
        Dim swapWord As String


        Try
            ofdOriginal.ShowDialog()
            'MsgBox(ofdOriginal.FileName)
            MyStreamReader = New StreamReader(ofdOriginal.FileName)
            Contents = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file.")
            Exit Sub
        End Try

        Word = Contents.Split(" ")

        For i = 0 To Word.Length - 1
            j = MyRandom.Next(0, Word.Length)
            swapWord = Word(i).Trim.Replace(".", "")
            Word(i) = Word(j).Trim.Replace(".", "")
            Word(j) = swapWord
        Next

        For i = 0 To Word.Length - 1
            txtPoem.Text &= Word(i) & " "
            If MyRandom.NextDouble < 1 / 6 Then
                txtPoem.Text &= vbCrLf
            End If
        Next

    End Sub


    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Dim MyStreamwriter As StreamWriter

        Try
            sfdDadaPoem.AddExtension = True
            sfdDadaPoem.DefaultExt = "txt"
            sfdDadaPoem.ShowDialog()
            MyStreamwriter = New StreamWriter(sfdDadaPoem.FileName)
        Catch ex As Exception
            MsgBox("Problem with saving file.")
            Exit Sub
        End Try

        MyStreamwriter.Write(txtPoem.Text)
        MyStreamwriter.Flush()  'DON'T FORGET TO FLUSH !!!! 
        MyStreamwriter.Close()





    End Sub
End Class
